# console_cmds.cpp File Reference

Implementation of the console hooks. More...

`#include "stdafx.h"`
`#include "openttd.h"`
`#include "console_internal.h"`
`#include "debug.h"`
`#include "engine_func.h"`
`#include "landscape.h"`
`#include "saveload/saveload.h"`
`#include "variables.h"`
`#include "network/network.h"`
`#include "network/network_func.h"`
`#include "network/network_base.h"`
`#include "command_func.h"`
`#include "settings_func.h"`
`#include "fios.h"`
`#include "fileio_func.h"`
`#include "screenshot.h"`
`#include "genworld.h"`
`#include "strings_func.h"`
`#include "viewport_func.h"`
`#include "window_func.h"`
`#include "map_func.h"`
`#include "date_func.h"`
`#include "vehicle_func.h"`
`#include "string_func.h"`
`#include "company_func.h"`
`#include "company_base.h"`
`#include "settings_type.h"`
`#include "gamelog.h"`
`#include "ai/ai.hpp"`
`#include "ai/ai_config.hpp"`

Go to the source code of this file.

## Defines
#define | DEF_CONSOLE_CMD(function) static bool function(byte argc, char *argv[])
#define | DEF_CONSOLE_HOOK(function) static bool function()
## Functions
static void | IConsoleHelp (const char *str)
| DEF_CONSOLE_CMD (ConResetEngines)
| DEF_CONSOLE_CMD (ConScrollToTile)
void | BuildFileList ()
void | SetFiosType (const byte fiostype)
| DEF_CONSOLE_CMD (ConSave)
| DEF_CONSOLE_CMD (ConSaveConfig)
static const FiosItem * | GetFiosItem (const char *file)
| DEF_CONSOLE_CMD (ConLoad)
| DEF_CONSOLE_CMD (ConRemove)
| DEF_CONSOLE_CMD (ConListFiles)
| DEF_CONSOLE_CMD (ConChangeDirectory)
| DEF_CONSOLE_CMD (ConPrintWorkingDirectory)
| DEF_CONSOLE_CMD (ConClearBuffer)
| DEF_CONSOLE_CMD (ConExec)
| DEF_CONSOLE_CMD (ConReturn)
bool | CloseConsoleLogIfActive ()
| DEF_CONSOLE_CMD (ConScript)
| DEF_CONSOLE_CMD (ConEcho)
| DEF_CONSOLE_CMD (ConEchoC)
| DEF_CONSOLE_CMD (ConNewGame)
void | SwitchToMode (SwitchMode new_mode)
| DEF_CONSOLE_CMD (ConRestart)
| DEF_CONSOLE_CMD (ConListAI)
| DEF_CONSOLE_CMD (ConStartAI)
| DEF_CONSOLE_CMD (ConReloadAI)
| DEF_CONSOLE_CMD (ConStopAI)
| DEF_CONSOLE_CMD (ConRescanAI)
| DEF_CONSOLE_CMD (ConGetSeed)
| DEF_CONSOLE_CMD (ConGetDate)
| DEF_CONSOLE_CMD (ConAlias)
| DEF_CONSOLE_CMD (ConScreenShot)
| DEF_CONSOLE_CMD (ConInfoVar)
| DEF_CONSOLE_CMD (ConInfoCmd)
| DEF_CONSOLE_CMD (ConDebugLevel)
| DEF_CONSOLE_CMD (ConExit)
| DEF_CONSOLE_CMD (ConPart)
| DEF_CONSOLE_CMD (ConHelp)
| DEF_CONSOLE_CMD (ConListCommands)
| DEF_CONSOLE_CMD (ConListVariables)
| DEF_CONSOLE_CMD (ConListAliases)
| DEF_CONSOLE_CMD (ConSetting)
| DEF_CONSOLE_CMD (ConListSettings)
| DEF_CONSOLE_CMD (ConListDumpVariables)
| DEF_CONSOLE_CMD (ConGamelogPrint)
void | IConsoleStdLibRegister ()
## Variables
static FILE * | _script_file
static bool | _script_running

## Detailed Description

Implementation of the console hooks.

Definition in file console_cmds.cpp.